<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

/*Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});*/


Route::group(['middleware' => ['api','cors'], 'prefix' => 'auth'], function($router)
{
    Route::group(['middleware'=>'checkUserLogin'],function(){
        Route::any('get_menu','Admin\AdminMenuController@index');//获取菜单

        Route::any('add_menu','Admin\AdminMenuController@store');//添加菜单
        Route::any('delete_menu','Admin\AdminMenuController@destroy');//删除
        Route::any('update_menu','Admin\AdminMenuController@update');
        Route::any('submit_setting','Admin\SettingController@store');//提交系统设置接口
        Route::any('get_setting','Admin\SettingController@index');//获取
        Route::any('upload_cover_img','Admin\IndexNewsController@upload_cover_img');//
        Route::any('add_news','Admin\IndexNewsController@index');//
        Route::any('me', 'AuthController@me');
    });


    Route::any('register', 'AuthController@register');
    Route::any('login', 'AuthController@login');
    Route::any('logout', 'AuthController@logout');
    Route::any('refresh', 'AuthController@refresh');

});

