<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/index','Index\IndexController@index');
Route::get('/','Index\IndexController@index');
Route::get('/map','Index\IndexController@map')->name('map');
Route::get('/about','Index\AboutController@index')->name('/about');//关于页
Route::get('/about/group_strategy','Index\AboutController@groupStrategy')->name('group_strategy');//关于页-集团战略页
Route::get('/about/core_strengths','Index\AboutController@coreStrengths')->name('core_strengths');//关于页-核心优势页
Route::get('/about/dev_history','Index\AboutController@devHistory')->name('dev_history');//关于页-发展历程页
Route::get('/about/achievement','Index\AboutController@achievement')->name('achievement');//关于页-奖项成就页

Route::get('/brand_culture','Index\BrandCultureController@index');//品牌文化页
Route::get('/download','Index\BrandCultureController@download_pdf')->name('download');//下载画册页

Route::any('/download_report','Index\GroupCultureController@download_report_pdf')->name('download_report');//下载年报页


Route::get('/goods_item','Index\GoodsItemController@index')->name('goods_item');//精品项目页
Route::get('/goods_item/more','Index\GoodsItemController@more')->name('more');//空间景观
Route::get('/goods_item/maodian21','Index\GoodsItemController@maodian21')->name('maodian21');//空间景观
Route::get('/goods_item/maodian22','Index\GoodsItemController@maodian22')->name('maodian22');//空间景观



Route::get('/group_culture','Index\GroupCultureController@index');//企业文化页
Route::get('/fashion_city','Index\GroupCultureController@fashion_city')->name('fashion_city');//时尚与城市页
Route::get('/fashion_safety','Index\GroupCultureController@fashion_safety')->name('fashion_safety');//时尚与安全页
Route::get('/public_welfare','Index\GroupCultureController@public_welfare')->name('public_welfare');//时尚与公益页

Route::get('/join_us','Index\JoinUsController@index');//加入页
Route::get('/join_us/success_story','Index\JoinUsController@success_story')->name('success_story');//加入页
Route::get('/join_us/business','Index\JoinUsController@business_story')->name('business');//加入页
Route::get('/join_us/job_social','Index\JoinUsController@job_social')->name('job_social');//就业页
Route::get('/join_us/cooperation','Index\JoinUsController@cooperation')->name('cooperation');//就业页



Route::get('/Admin', function () {
    return view('admin.login');
});


Route::get('/news/article-info','Index\ArticleController@info')->name('article');
Route::get('/news','Index\ArticleController@index')->name('news');//新闻中心
Route::any('/news/articel_list','Index\ArticleController@article_list')->name('article_list');

Route::get('/audio','Index\AudioController@index')->name('audio');//视频中心
Route::get('/audio/play','Index\AudioController@play')->name('play_audio');//视频中心播放页

Route::get('/download_pdf','Index\BrandCultureController@download')->name('download_pdf');//下载PDF
Route::get('/download_report_pdf','Index\GroupCultureController@download_report')->name('download_report_pdf');//下载PDF

